#pragma once
#include "afxwin.h"
#include "DllPlayer.h"
#include "colorspace.h"

// CSnapDlg 对话框

class CSnapDlg : public CDialog
{
	DECLARE_DYNAMIC(CSnapDlg)

public:
	CSnapDlg(CRect rcWnd, CWnd* pParent = NULL);   // 标准构造函数
	virtual ~CSnapDlg();

// 对话框数据
	enum { IDD = IDD_DLG_SNAP };

	BOOL m_bYUVtoRGB;
	int  m_nVideoWidth;
	int  m_nVideoHeight;
	int  m_nColorBit;
	STREAM_AV_PARAM m_oAVParm;

	static int SaveBmp2File(HBITMAP hBitmap, CString strFileName);

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

	DECLARE_MESSAGE_MAP()
public:
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	static int  CALLBACK  OnMediaDataRecv(long nPort,char * pBuf,long nSize,FRAME_INFO * pFrameInfo, void * pUser,long nReserved2);
private:
	CRect m_rcClient;
	CStatic m_ctlGroup;
	afx_msg void OnBnClickedBtnLoading();
	CEdit m_ctlEDPath;
	afx_msg void OnBnClickedBtnSnap();
	virtual BOOL OnInitDialog();
	CButton m_ctlCKDefault;
	CButton m_ctlCKCustom;
	CComboBox m_ctlCBPictureType;
	afx_msg void OnBnClickedCkDefault();
	afx_msg void OnBnClickedCkCustom();
	afx_msg void OnBnClickedButton4();
	afx_msg void OnBnClickedButton5();
	CListBox m_ctlCallBack;
	afx_msg void OnBnClickedButton6();
};
